Time series
curl --request GET \
--url https://taap.it/api/v1/radar/timeseries \
--header 'Authorization: <authorization>'import requests
url = "https://taap.it/api/v1/radar/timeseries"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://taap.it/api/v1/radar/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"t": "<string>",
"people": 123,
"visits": 123,
"pageviews": 123,
"events": 123,
"revenue": 123
}
]
}Radar API
Time series
Retrieve a time-bucketed series of the core Radar metrics
GET
/
api
/
v1
/
radar
/
timeseries
Time series
Returns the core metrics bucketed over time for the project bound to your API key. The bucket
granularity is derived automatically from the requested range.
Request:
Response:
cURL
curl -X GET 'https://taap.it/api/v1/radar/timeseries?start=2026-01-01T00:00:00Z&end=2026-01-07T23:59:59Z' \
-H 'Authorization: Bearer taapit_your_api_key_here'
{
"data": [
{
"t": "2026-01-01 00:00:00",
"people": 120,
"visits": 180,
"pageviews": 540,
"events": 32,
"revenue": 210.0
},
{
"t": "2026-01-02 00:00:00",
"people": 96,
"visits": 140,
"pageviews": 410,
"events": 21,
"revenue": 0
}
]
}
Authorization
Bearer token with your Radar API key. Format:
Bearer taapit_...Query Parameters
Start of the range, ISO 8601 (UTC). Example:
2026-01-01T00:00:00Z.End of the range, ISO 8601 (UTC). Example:
2026-01-07T23:59:59Z.Response Fields
An ordered array of data points.
⌘I